Bug 6674 - Collapse display of patron address by default
Summary: Collapse display of patron address by default
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-05 17:21 UTC by Owen Leonard
Modified: 2014-12-07 20:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (6.88 KB, patch)
2011-08-08 14:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Revised fix (10.57 KB, patch)
2011-09-23 13:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot of collapsed patron info in the sidebar (61.85 KB, image/png)
2011-09-23 13:41 UTC, Owen Leonard
Details
Screenshot of expanded patron info in the sidebar (20.37 KB, image/png)
2011-09-23 13:42 UTC, Owen Leonard
Details
[SIGNED-OFF] Fix for Bug 6674 - Collapse display of patron address by default (10.59 KB, patch)
2011-09-28 15:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6937 - change "Fines" to "Fees & Charges" on circ page (1.56 KB, patch)
2011-09-29 12:59 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-08-05 17:21:35 UTC
Use CSS+JS to collapse the display of the patron address in the sidebar on circ and patron related pages.

This change is being pulled from Bug 5436 since it's unrelated to patron attributes.
Comment 1 Owen Leonard 2011-08-08 14:15:33 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2011-08-08 14:18:53 UTC
Incidentally, I thought this was an interesting UI problem to solve, but I'm not convinced that it is necessary. I would be interested in hearing from Biblibre about the motivation for developing it. Was it because adding the display of extended patron attributes was pushing the navigation links down too far? If so we'll have to revisit this in reference to patron attributes. This patch groups "contact information" under one heading. We would need to add an additional "group" for extended attributes (something which this patch facilitates).
Comment 3 Nicole C. Engard 2011-08-08 17:16:49 UTC
That is so cool :) signed off.
Comment 4 Owen Leonard 2011-09-23 13:39:22 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2011-09-23 13:41:15 UTC
Created attachment 5563 [details]
Screenshot of collapsed patron info in the sidebar

This would be the default view: both the contact information block and the library information block are collapsed.
Comment 6 Owen Leonard 2011-09-23 13:42:36 UTC
Created attachment 5564 [details]
Screenshot of expanded patron info in the sidebar

The expanded view shows what information is in each block. Note the "Patron's pets" line is an extended patron attribute.
Comment 7 Nicole C. Engard 2011-09-28 15:07:22 UTC
Tested in Chrome and FF on Mac and I can't get the information to expand. I click the links and nothing happens.

Nicole
Comment 8 Nicole C. Engard 2011-09-28 15:35:56 UTC
Created attachment 5631 [details] [review]
[SIGNED-OFF] Fix for Bug 6674 - Collapse display of patron address by default

This patch takes the feature implemented in the original patch
for Bug 5436 and reimplements it in a slightly more abstracted
way. The JavaScript can now be applied to any pair of elements
like this: a block with class "collapsed" followed by a link
with class "togglecollapse."

In the circ-menu include, both the address info block and the
link to show/hide it have unique ids ("contact" and "showcontact"
respectively) so that IntranetUserCSS can be used to force them
to show:

  #contact {
    display : block;
  }
  #showcontact {
    display : none;
  }

Revision adds compatibility for display of extended patron
attributes and makes changes consistent across includes,
including circ-menu.tt.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 9 Nicole C. Engard 2011-09-29 12:59:37 UTC Comment hidden (obsolete)
Comment 10 Nicole C. Engard 2011-09-29 13:00:15 UTC
Comment on attachment 5638 [details] [review]
[SIGNED-OFF] Bug 6937 - change "Fines" to "Fees & Charges" on circ page

sorry i attached this to the wrong report
Comment 11 Paul Poulain 2011-10-07 16:01:48 UTC
QA comment:
Is it intended to have the headers *below* the information itself. That's quite strange: in MARC editor, for example, when you expand a field, subfields appear after the field.
Marking failed QA unless you convince me that should be that way !

(In reply to comment #2)
> Incidentally, I thought this was an interesting UI problem to solve, but I'm
> not convinced that it is necessary. I would be interested in hearing from
> Biblibre about the motivation for developing it. Was it because adding the
> display of extended patron attributes was pushing the navigation links down too
> far?
We were not the original author of the patch, or am I missing something ?
Comment 12 Owen Leonard 2011-10-07 16:10:03 UTC
(In reply to comment #11)
> We were not the original author of the patch, or am I missing something ?

The original changes were found in the patch for Bug 5436.